package com.ruoyi.nanjing.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工位参数定义对象 T_SY_StationParameterNotes
 * 
 * @author limy
 * @date 2021-01-27
 */
public class TSyStationparameternotes extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 表名 */
    @Excel(name = "表名")
    private String tabelName;

    /** 参数名 */
    @Excel(name = "参数名")
    private String paraColumn;

    /** 参数值 */
    @Excel(name = "参数值")
    private String paraMeaning;

    /** 工位ID */
    @Excel(name = "工位ID")
    private String stationID;

    /** 工位码 */
    @Excel(name = "工位码")
    private String stationCode;

    /** 父工位ID */
    @Excel(name = "父工位ID")
    private String parentStationID;

    /** 父工位码 */
    @Excel(name = "父工位码")
    private String parentStationCode;

    /** 父工位名 */
    @Excel(name = "父工位名")
    private String parentStationName;

    /** 是否显示 */
    @Excel(name = "是否显示")
    private String usedFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTabelName(String tabelName) 
    {
        this.tabelName = tabelName;
    }

    public String getTabelName() 
    {
        return tabelName;
    }
    public void setParaColumn(String paraColumn) 
    {
        this.paraColumn = paraColumn;
    }

    public String getParaColumn() 
    {
        return paraColumn;
    }
    public void setParaMeaning(String paraMeaning)
    {
        this.paraMeaning = paraMeaning;
    }

    public String getParaMeaning()
    {
        return paraMeaning;
    }
    public void setStationID(String stationID) 
    {
        this.stationID = stationID;
    }

    public String getStationID() 
    {
        return stationID;
    }
    public void setStationCode(String stationCode)
    {
        this.stationCode = stationCode;
    }

    public String getStationCode()
    {
        return stationCode;
    }
    public void setParentStationID(String parentStationID) 
    {
        this.parentStationID = parentStationID;
    }

    public String getParentStationID() 
    {
        return parentStationID;
    }
    public void setParentStationCode(String parentStationCode)
    {
        this.parentStationCode = parentStationCode;
    }

    public String getParentStationCode()
    {
        return parentStationCode;
    }
    public void setParentStationName(String parentStationName)
    {
        this.parentStationName = parentStationName;
    }

    public String getParentStationName()
    {
        return parentStationName;
    }
    public void setUsedFlag(String usedFlag) 
    {
        this.usedFlag = usedFlag;
    }

    public String getUsedFlag() 
    {
        return usedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tabelName", getTabelName())
            .append("paraColumn", getParaColumn())
            .append("paraMeaning", getParaMeaning())
            .append("stationID", getStationID())
            .append("stationCode", getStationCode())
            .append("parentStationID", getParentStationID())
            .append("parentStationCode", getParentStationCode())
            .append("parentStationName", getParentStationName())
            .append("usedFlag", getUsedFlag())
            .toString();
    }
}
